| Qore OracleSqlUtil Module Reference 1.4.3

Public Member Functions | List of all members
OracleSqlUtil::OracleProcedure Class Reference

represents an Oracle procedure More...

Inheritance diagram for OracleSqlUtil::OracleProcedure:
[legend]

## Public Member Functions
| constructor (string n, string n_src)
| creates the object from the arguments passed More...
Public Member Functions inherited from OracleSqlUtil::OracleCodeBase
| constructor (string n, string n_type, string n_src)
| creates the object from the arguments passed More...
bool | equalImpl (AbstractFunctionBase t)
| returns True if the argument is equal to the current object, False if not
softlist | getCreateSql (*hash opt)
| returns a string that can be used to create the object in the database More...
softlist | getRenameSql (string new_name, *hash opt)
| returns a string that can be used to rename the object in the database More...

## Detailed Description

represents an Oracle procedure

## Member Function Documentation

## ◆ constructor()

OracleSqlUtil::OracleProcedure::constructor | ( | string | n,
|  | string | n_src
| ) |  |

creates the object from the arguments passed

Parameters

  n | the name of the function
  n_src | the source of the function